petsc-3.10.5 2019-03-28
Report Typos and Errors

# PetscFileRetrieve

Obtains a file from a URL or compressed and copies into local disk space as uncompressed.

### Synopsis

    PetscErrorCode  PetscFileRetrieve(MPI_Comm comm,const char url[],char localname[],size_t llen,PetscBool  *found)

Collective on MPI_Comm

### Input Parameter

| comm | - processors accessing the file
| url | - name of file, including entire URL (with or without .gz)
| llen | - length of localname

### Output Parameter

| localname | - name of local copy of file - valid on only process zero
| found | - if found or retrieved the file - valid on all processes

### Notes

if the file already exists local this function just returns without downloading it.

### Level

intermediate

### Location

src/sys/fileio/fretrieve.c

### Examples

src/sys/examples/tutorials/ex18.c.html
src/ts/examples/tutorials/extchem.c.html
Index of all Sys routines
Table of Contents for all manual pages
Index of all manual pages